aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-11-02 12:37:18 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-11-13 15:45:10 +0000
commit94081a8d778031c9e63d74aa24f6c4b047c7cd9e (patch)
tree9a39aefba5683db44d2ac171960111be27b76292
parentf55425d9f851f37972a2cb2ca7bc716245f1a1da (diff)
downloadaports-94081a8d778031c9e63d74aa24f6c4b047c7cd9e.tar.bz2
aports-94081a8d778031c9e63d74aa24f6c4b047c7cd9e.tar.xz
main/execline: upgrade to 2.5.3.0
-rw-r--r--main/execline/APKBUILD16
1 files changed, 10 insertions, 6 deletions
diff --git a/main/execline/APKBUILD b/main/execline/APKBUILD
index 22e70257a1..7cdff50673 100644
--- a/main/execline/APKBUILD
+++ b/main/execline/APKBUILD
@@ -1,17 +1,16 @@
# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
# Contributor: John Regan <john@jrjrtech.com>
pkgname=execline
-pkgver=2.5.1.0
-pkgrel=1
+pkgver=2.5.3.0
+pkgrel=0
pkgdesc="A small scripting language, to be used in place of a shell in non-interactive scripts."
url="http://skarnet.org/software/$pkgname/"
arch="all"
license="ISC"
options="!check"
makedepends="skalibs-dev"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-builddir="$srcdir/$pkgname-$pkgver"
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc"
+source="http://skarnet.org/software/execline/execline-$pkgver.tar.gz"
build() {
cd "$builddir"
@@ -35,4 +34,9 @@ doc() {
cp -a "$builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
}
-sha512sums="461a91d0e790e96233179c89c783bb29d89592def451643265c97259db83056556cd5f231d668e8c460396c35a8792f56b30193171e85488e60e3cb4feb7379c execline-2.5.1.0.tar.gz"
+static() {
+ default_static
+ rmdir -p "$pkgdir"/usr/lib || :
+}
+
+sha512sums="75b584e2365288bb1d05fd67e390fab1b6ccf48cb0a2ccbfb84a7d22ddf6957c9c591ab165542ed180b2ff1ef9ceb2a16cbae569e69c5dd5f20e52be092cff15 execline-2.5.3.0.tar.gz"